Bug 178474 - autofs update overwrites auto.master config file
autofs update overwrites auto.master config file
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
: 178883 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-01-20 16:02 EST by Phil Schaffner
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-24 17:00:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Schaffner 2006-01-20 16:02:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8) Gecko/20051202 CentOS/1.5-1.c4.centos4 Firefox/1.5

Description of problem:
Recent autofs update overwrote /etc/auto.master file with one not checking auto.misc without creating a .rpmsave - broke mounts specified in modified auto.misc.  Don't see this in the changelog.  If that was the intended behavior is should be documented.  This might not be considered a bug as (IIRC) the version n-1 auto.master had auto.misc uncommented out-of-the-box, unlike earlier versions, so the replaced file was probably un-modified.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. update autofs rpm

Actual Results:  /etc/auto.master overwritten with one having different functionality without backing up the original, and with no obvious changelog entry.

Expected Results:  Don't change the behavior of the package without at least documenting the change.  Saving the previous version of the config file as a .rpmsave is highly desirable - at least flags that a change has been made.

Additional info:
Comment 1 Jeffrey Moyer 2006-01-24 10:29:54 EST
Ouch.  We'll get this fixed.
Comment 2 Jeffrey Moyer 2006-01-24 10:38:59 EST
%config(noreplace,missingok) /etc/auto.master

this is in the spec file.  I'm not sure how it could have replaced the
auto.master map.  We are unable to reproduce this internally.  Can you?
Comment 3 Phil Schaffner 2006-01-24 16:50:55 EST
Yes.  Here's the procedure:
1. Install FC4 (e.g. Workstation install on VMware)
2. reboot, firstboot, login, su - root, test autofs
3. # cp /etc/auto.master auto.master_orig
4. # yum update autofs
5. # ll /etc/auto.*
-rw-r--r--  1 root root  322 Jan 18 21:03 /etc/auto.master
-rw-r--r--  1 root root 1117 Jan 24 21:29 /etc/auto.misc
-rw-r--r--  1 root root  581 Apr 25  2005 /etc/auto.misc_orig
-rwxr-xr-x  1 root root 1274 Jan 18 21:03 /etc/auto.net
-rwxr-xr-x  1 root root  538 Jan 18 21:03 /etc/auto.smb
6. # diff -u auto.master_orig /etc/auto.master
--- auto.master_orig    2006-01-24 21:28:05.000000000 -0500
+++ /etc/auto.master    2006-01-18 21:03:23.000000000 -0500
@@ -7,5 +7,4 @@
 # For details of the format look at autofs(5).
 #/misc /etc/auto.misc --timeout=60
 #/smb  /etc/auto.smb
-/misc  /etc/auto.misc
 /net   /etc/auto.net


Comment 4 Jeffrey Moyer 2006-01-24 17:00:26 EST
OK, I'm very sorry that I didn't read the bug report closely enough.  Now I see
what you're saying.

This is the expected behaviour.  Since the default auto.misc file was primarily
used to automount the cdrom, and there exist better methods to do so today, I
was asked to remove this from the default autofs setup.

I'm not sure where you would like this to be documented.  Perhaps it should have
been mentioned in the mail to fedora-announce.

I'll close this as not a bug.  If you have any suggestions on where you'd like
the documentation to appear, please feel free to update the bug.

Again, sorry for the misunderstanding.
Comment 5 Jeffrey Moyer 2006-01-25 08:11:29 EST
*** Bug 178883 has been marked as a duplicate of this bug. ***
Comment 6 Phil Schaffner 2006-01-25 13:22:48 EST
Something that changes the default behavior of a package should at least be
noted in the changelog.  If I read the Bug 178883 report correctly, the
auto.master file had been modified.  Will test that case.
Comment 7 Phil Schaffner 2006-01-25 16:54:20 EST
Updating autofs on an FC4 fresh install with a modified auto.master did create
auto.master.rpmnew and did not clobber the modified file, the desired behavior.
 A changelog entry on the different default behavior should suffice to deal with
the issue.

Note You need to log in before you can comment on or make changes to this bug.